DCHECK(8)

NAME
dcheck - file system directory consistency check

SYNOPSIS
/usr/etc/dcheck [ -i numbers ] [ filesystem ]

DESCRIPTION

Note: dcheck has been superseded for normal consistency checking by fsck(8).

dcheck reads the directories in a file system and compares the link-count in each inode with the number of directory entries by which it is referenced. If the file system is not specified, dcheck checks a set of default file systems.

dcheck is fastest if the raw version of the special file is used, since the i-list is read in large chunks.

OPTIONS

-i numbers
    numbers is a list of i-numbers; when one of those i-numbers turns up in a directory, the number, the i-number of the directory, and the name of the entry are reported.

FILES
Default file systems vary with installation.

SEE ALSO
fs(5), fsck(8), clri(8), icheck(8), ncheck(8)

DIAGNOSTICS
When a file turns up for which the link-count and the number of directory entries disagree, the relevant facts are reported. Allocated files which have 0 link-count and no entries are also listed. The only dangerous situation occurs when there are more entries than links; if entries are removed, so the link-count drops to 0, the remaining entries point to thin air. They should be removed. When there are more links than entries, or there is an allocated file with neither links nor entries, some disk space may be lost but the situation will not degenerate.

BUGS
Since dcheck is inherently two-pass in nature, extraneous diagnostics may be produced if applied to active file systems.

Inode numbers less than 2 are invalid.